Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: event::Event Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
event::Event Struct Reference

Event has a type: a STATE event indicates that a boolean state has been changed, i.e. More...

`import <EventEngine.idl;`

## Public Types
enum | Type { STATE , TRIGGER }
| Event type. More...

## Public Attributes
Type | type
| Event type.
vector< string > | id
| Event id vector.
boolean | asserted
| Assertion value.
time | timeStamp
| UNIX timestamp (UTC)
vector< KeyValue > | context
| Context map.

## Detailed Description

Event has a type: a STATE event indicates that a boolean state has been changed, i.e.

asserted or deasserted a TRIGGER event is one that has no state assigned. conceptually it is asserted and deasserted at once. The id has multiple components that form a path into a hierarchy. The value ("asserted") indicates whether the state has become true (assertion) or false (deassertion). For events of type TRIGGER this will be true always.

Definition at line 34 of file EventEngine.idl.

## Member Enumeration Documentation

## ◆ Type

enum event::Event::Type

Event type.

Enumerator
STATE | State event.
TRIGGER | Trigger event.

Definition at line 37 of file EventEngine.idl.

## Member Data Documentation

## ◆ asserted

boolean event::Event::asserted

Assertion value.

Definition at line 44 of file EventEngine.idl.

## ◆ context

vector<KeyValue> event::Event::context

Context map.

Definition at line 46 of file EventEngine.idl.

## ◆ id

vector<string> event::Event::id

Event id vector.

Definition at line 43 of file EventEngine.idl.

## ◆ timeStamp

time event::Event::timeStamp

UNIX timestamp (UTC)

Definition at line 45 of file EventEngine.idl.

## ◆ type

Type event::Event::type

Event type.

Definition at line 42 of file EventEngine.idl.

The documentation for this struct was generated from the following file:

- EventEngine.idl